Bug 143249 - new alsa-firmware package needed for fc3
new alsa-firmware package needed for fc3
Product: Fedora
Classification: Fedora
Component: alsa-firmware (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Depends On:
  Show dependency treegraph
Reported: 2004-12-17 13:33 EST by Thorsten Leemhuis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-23 12:59:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2004-12-17 13:33:53 EST
Description of problem:

new alsa-firmware package needed for fc3
Comment 1 Martin Visser 2004-12-29 07:07:59 EST
this is required for cards such as Tascam US-122. The ALSA usb-x2y 
driver is useless otherwise
Comment 3 Michael Schwendt 2005-01-02 10:44:00 EST
It's not that easy unfortunately, since the rules on what to include
in Fedora Extras will be more strict than at fedora.us.

Pieces of the alsa-firmware package don't look supportable. They are
only hex files converted into binaries or bit-streams. But there are
also precompiled non-source files included. E.g. the "mixartloader"
firmware consists of a binary-only ELF executable and two data files:

$ file miXart8.elf 
miXart8.elf: ELF 32-bit MSB executable, PowerPC or cisco 4500, version
1 (SYSV), statically linked, not stripped
Comment 4 Thorsten Leemhuis 2005-01-02 11:02:41 EST
>It's not that easy unfortunately, since the rules on what to include
>in Fedora Extras will be more strict than at fedora.us.

I thought something... Thanks for this info. Will wait for further
input how to proceed. 
Comment 5 Thorsten Leemhuis 2005-03-20 13:57:33 EST
Sorry, I lost track on this issue a bit. I think it's best to remove everything
that is related to alsa-firmware. Therefor I will soon commit a update of
alsa-tools to CVS that makes creation of alsa-tools-firmware optional. And
alsa-firmware will be removed. I'll try to get these things into livna afterwards.
Comment 6 Thorsten Leemhuis 2005-03-23 12:59:10 EST
Commited to CVS (sorry, was just when the maillinglist was down -- diff:

Will request a build in the next days
Comment 7 Tim Jackson 2006-11-25 20:53:12 EST
Since this stuff never really got fixed, see bug #217259 and bug #217256 for
updates on this alsa tools/firmware stuff

Note You need to log in before you can comment on or make changes to this bug.